module.exports = async (ctx, next) => {
  const pluginStore = zenapi.store({
    environment: '',
    type: 'plugin',
    name: 'documentation',
  });
  const config = await pluginStore.get({ key: 'config' });

  if (!config.restrictedAccess) {
    return await next();
  }

  if (!ctx.session.documentation) {
    const querystring = ctx.querystring ? `?${ctx.querystring}` : '';

    return ctx.redirect(`${zenapi.plugins.documentation.config['x-zenapi-config'].path}/login${querystring}`);
  }
  const isValid = zenapi.plugins['users-permissions'].services.user.validatePassword(ctx.session.documentation, config.password);

  if (!isValid) {
    ctx.session.documentation = null;
  }

  // Execute the action.
  await next();
};
